Loading...
Searching...
No Matches
Opm::EclIO::OutputStream::SummarySpecification Class Reference

## Classes

struct | RestartSpecification
class | Parameters

## Public Types

enum class | UnitConvention { Metric = 1 , Field = 2 , Lab = 3 , Pvt_M = 4 }
using | StartTime = time_point

## Public Member Functions

| SummarySpecification (const ResultSet &rset, const Formatted &fmt, const UnitConvention uconv, const std::array< int, 3 > &cartDims, const RestartSpecification &restart, const StartTime start)
| SummarySpecification (const SummarySpecification &rhs)=delete
| SummarySpecification (SummarySpecification &&rhs)
SummarySpecification & | operator= (const SummarySpecification &rhs)=delete
SummarySpecification & | operator= (SummarySpecification &&rhs)
void | write (const Parameters &params)

The documentation for this class was generated from the following files:

- opm/io/eclipse/OutputStream.hpp
- opm/io/eclipse/OutputStream.cpp